clear;

markup = 1.2; % steady-state markup = 20%
eps = -markup/(1-markup);
tax1 = .1;
sigma1 = 1;
mu1 = 0;
kap = .1;

nu1 = ((eps-1)*(1-tax1)/kap)*(sigma1+mu1);
psi1 = tax1*(eps-1)/nu1;

lamf_grid = .0000000000001:.0001:.25;
lamsoc_grid = lamf_grid;

h = 1;
k = 1;

for i=1:length(lamsoc_grid)
    for j=1:length(lamf_grid)
        gam = (lamf_grid(j)*((kap^2)+lamsoc_grid(i)))/(((kap^2)*(psi1^2)+lamf_grid(j)*((kap^2)+lamsoc_grid(i))^2));
        valsx(j,1) = -kap*gam;
        valsp(j,1) = lamsoc_grid(i)*gam;
        loss(j,1) = (valsp(j,1)^2) + lamsoc_grid(i)*(valsx(j,1)^2);
        
        gamit = (lamf_grid(j))/((psi1^2)+lamf_grid(j)*(kap^2));
        valsx(j,1) = -kap*gamit;
        lossit(j,1) = lamsoc_grid(i)*(valsx(j,1)^2);
        
        if lossit(j,1)<loss(j,1)
            xax_it(h,1) = lamf_grid(j);
            yax_it(h,1) = lamsoc_grid(i);
            h = h + 1;
        else
            xax(k,1) = lamf_grid(j);
            yax(k,1) = lamsoc_grid(i);
            k = k + 1;
        end
    end
end
    
%figure(1)
%scatter(xax,yax,'kx')
%hold on;
%scatter(xax_it,yax_it,'r');xlabel('\lambda^{F}');ylabel('\lambda^{S}')

for h=1:min(find(xax_it==max(xax_it)))
    max_yit(h,1) = max(yax_it(xax_it==lamf_grid(1,h),1))
end

plot(lamf_grid(1,1:find(xax_it==max(xax_it))),max_yit,'k')
hold on;
fill([0 0 lamf_grid(1,1:find(xax_it==max(xax_it))) lamf_grid(min(find(xax_it==max(xax_it))))],[0 max(lamf_grid) max_yit' 0],[0.70 0.70 0.70])
xlabel('\lambda_{F}','FontSize',18);ylabel('\lambda_{S}','FontSize',18)
        